update von 0.9.3 auf 0.9.7 !?

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

update von 0.9.3 auf 0.9.7 !?

Postby bubu » 30. January 2003 20:56

:?: hi,
seit ca 6 monaten läuft bei mir der lampp super toll und stabil. würde ja auch "never change a running system" sagen, aber muß jetzt dringend mit pdf arbeiten. nachdem ich vergeblich 2 tage im netz nach einer lösung gesucht habe , finde ich heraus, daß dies jetzt mit 0.9.7 gehen soll, grr-toll.
also update! aber--- ich muß ja wohl nun von 0.9.3 auf 0.9.4, von da auf 0.9.5, dann 0.9.6 und schließlich auf 0.9.7 oder???
problem ist : zum einen finde ich auf sourgeforge kein 0.9.4 auf 0.9.5, zum anderen zerschieße ich mir wirklich nichts bei den updates? mysql und so?
wäre echt dankbar für hilfe !!
bubu :wink:
bubu
 

Postby Oswald » 31. January 2003 11:11

Huhu bubu!

Du hast absolut recht: never change a running system. Deshalb würde ich Dir auch von einem Upgrade abraten. Bzw. wie Du ja schon festgestellt hast: es gibt eh kein Upgrade. Das ist auch nicht Willkür von mir, sondern zwischen 0.9.4 und 0.9.5 sind so komplizierte Abhängigkeiten, dass ein Upgrade nicht so leicht ist und ich deswegen darauf verzichten musste.

Lange Rede.. Ich hab Dir ein kleines Paket mit cpdf 009 für LAMPP zusammengestellt. Darin ist einmal cpdf und zum anderen das aktuelle CD-COLLECTION-Beispiel mit PDF-Unterstützung.

Downloaden von:

http://www.apachefriends.org/lampp-cpdf009.tar.gz

Auspacken mit:

tar xvfz lampp-cpdf009.tar.gz -C /opt

Unter http://localhost/xampp/cds.php solltest Du dann auch das neue CD-COLLECTION-Beispiel finden.

Ich hab's jetzt nicht getestest... aber es sollte funktionieren. ;)

Bei Fragen: frag! ;)

Liebe Grüße,
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby bubu » 31. January 2003 12:27

:cry:
erstmal vielen dank für die supi hilfe.
installation war zwar erfolgreich, ich kann auch die cds.php aufrufen, doch wenn ich dann auf pdf gehe kommen fehlermeldungen (nr.14).
kann es sein, daß mir eine class fehlt?
include ('class.ezpdf.php');
steht ja in der php. aber die finde ich nicht.
bubu
bubu
 

Postby bubu » 31. January 2003 12:32

halt stip stimmt nicht. habe die klasse doch gefunden, aber dafür nicht das verzeichnis fonts
$pdf->selectFont('/opt/lampp/lib/fonts/Helvetica.afm');

bubu
bubu
 

Postby Oswald » 31. January 2003 12:52

Ahoi bubu!

Ah.. die Fonts hatte ich vergessen. Sind nun im gleichen Tar-Archiv mit drin. Also noch mal runterladen und auspacken.

Viel Gück!
Oswald ;)
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby bubu » 31. January 2003 13:05

klasse !!
das wars.jetzt geht es. vielen dank!!
und jetzt kommt dann der heftigste teil.
habe ein pdf-formular gemacht (postkartengröße) und muß das jetzt mit daten aus mysql füllen.
werden wohl wieder ein paar nächte draufgehen, da ich noch gar keine ahnung habe wie das geht.
:wink:
bubu
 


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 1 guest